[134883] trunk/dports/gnome/gnome-chemistry-utils

devans at macports.org devans at macports.org
Thu Apr 9 09:21:56 PDT 2015


Revision: 134883
          https://trac.macports.org/changeset/134883
Author:   devans at macports.org
Date:     2015-04-09 09:21:55 -0700 (Thu, 09 Apr 2015)
Log Message:
-----------
gnome-chemistry-utils: reconfigure using autogen.sh for intltool 0.51 compatibility.

Modified Paths:
--------------
    trunk/dports/gnome/gnome-chemistry-utils/Portfile

Added Paths:
-----------
    trunk/dports/gnome/gnome-chemistry-utils/files/
    trunk/dports/gnome/gnome-chemistry-utils/files/autogen.sh

Modified: trunk/dports/gnome/gnome-chemistry-utils/Portfile
===================================================================
--- trunk/dports/gnome/gnome-chemistry-utils/Portfile	2015-04-09 15:48:42 UTC (rev 134882)
+++ trunk/dports/gnome/gnome-chemistry-utils/Portfile	2015-04-09 16:21:55 UTC (rev 134883)
@@ -34,9 +34,12 @@
 checksums           sha256  85462b95b9d72e95b34ebaa0d07dc101595adf2159e480e3483ab8f440028dfe \
                     rmd160  981652a5650ff7b1bed7718085274c8a492fda9b
 
-depends_build       port:autoconf \
+depends_build       port:pkgconfig \
                     port:intltool \
-                    port:pkgconfig
+                    port:gnome-common \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool
                     
 depends_lib         port:desktop-file-utils \
                     port:rarian \
@@ -54,6 +57,15 @@
 depends_run         port:gnome-themes-standard \
                     port:yelp
 
+# reconfigure using autogen.sh for intltool 0.51 compatibility
+
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+    reinplace "s|/usr|${prefix}|" ${worksrcpath}/autogen.sh
+}
+
+configure.cmd       ./autogen.sh
+
 configure.args      --disable-mozilla-plugin \
                     --disable-scrollkeeper \
                     --disable-schemas-compile \

Added: trunk/dports/gnome/gnome-chemistry-utils/files/autogen.sh
===================================================================
--- trunk/dports/gnome/gnome-chemistry-utils/files/autogen.sh	                        (rev 0)
+++ trunk/dports/gnome/gnome-chemistry-utils/files/autogen.sh	2015-04-09 16:21:55 UTC (rev 134883)
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+## check for doxygen present. Things don't work if it is not there
+#if [ -z `doxygen --version` ]; then
+#	echo "You need doxygen to build this package from cvs."
+#	echo "http://www.doxygen.org/"
+#	exit 1
+#fi
+
+## First, find where automake is installed and get the version
+AMPATH=`which automake|sed 's/\/bin\/automake//'`
+AMVER=`automake --version|grep automake|awk '{print $4}'|awk -F. '{print $1"."$2}'`
+
+## Copy files from the automake directory
+#ln -sf $AMPATH/share/automake-$AMVER/missing .
+#ln -sf $AMPATH/share/automake-$AMVER/mkinstalldirs .
+#ln -sf $AMPATH/share/automake-$AMVER/install-sh .
+#ln -sf $AMPATH/share/automake-$AMVER/depcomp .
+#ln -sf $AMPATH/share/automake-$AMVER/compile .
+
+## run aclocal
+if [ -r /usr/share/aclocal/gnome-common.m4 ]; then
+	aclocal
+else
+	aclocal -I /usr/share/aclocal/gnome2-macros
+fi
+
+## libtool and intltool
+glibtoolize --force
+intltoolize --force
+gnome-doc-prepare --force
+
+## autoheader, automake, autoconf
+autoheader
+automake --gnu -af
+autoconf
+
+## generate versioned help files
+# ./gendocs
+
+## Job ended
+conf_flags=""
+
+if test x$NOCONFIGURE = x; then
+  echo Running ./configure $conf_flags "$@" ...
+  ./configure $conf_flags "$@" \
+  && echo Now type \`make\' to compile. || exit 1
+else
+  echo "run ./configure with the appropriate options, then make and enjoy"
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150409/375ec0b8/attachment.html>


More information about the macports-changes mailing list